Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlProject

    java.lang.Object
      com.hp.hpl.jena.sdb.core.AnnotationsBase
          com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
              com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
                  com.hp.hpl.jena.sdb.core.sqlnode.SqlProject

All Implemented Interfaces:
  Annotations, SqlNode, org.openjena.atlas.io.Printable

    public class SqlProject

extends SqlNodeBase1

Method Summary
`SqlNode` | `apply(SqlTransform transform, SqlNode subNode)`
`SqlProject` | `asProject()`
`SqlNode` | `copy(SqlNode subNode)`
`List<ColAlias>` | `getCols()`
`boolean` | `isProject()`
`static SqlNode` | `project(SqlNode sqlNode, ColAlias col)` make sure this node is a projection and add a column
`boolean` | `usesColumn(SqlColumn c)`
`void` | `visit(SqlNodeVisitor visitor)`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
`getIdScope, getNodeScope, getSubNode`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
`asCoalesce, asDistinct, asInnerJoin, asJoin, asLeftJoin, asRestrict, asSelectBlock, asTable, getAliasName, isCoalesce, isDistinct, isInnerJoin, isJoin, isLeftJoin, isRestrict, isSelectBlock, isTable, output, output, tablesInvolved, toString`

Methods inherited from class com.hp.hpl.jena.sdb.core.AnnotationsBase
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Method Detail

### project

    public static SqlNode project(SqlNode sqlNode,
                                  ColAlias col)

  make sure this node is a projection and add a column

### isProject

    public boolean isProject()

  Specified by:
    `isProject` in interface `SqlNode`
  Overrides:
    `isProject` in class `SqlNodeBase`

### asProject

    public SqlProject asProject()

  Specified by:
    `asProject` in interface `SqlNode`
  Overrides:
    `asProject` in class `SqlNodeBase`

### usesColumn

    public boolean usesColumn(SqlColumn c)

  Overrides:
    `usesColumn` in class `SqlNodeBase`

### getCols

    public List<ColAlias> getCols()

### visit

    public void visit(SqlNodeVisitor visitor)

### apply

    public SqlNode apply(SqlTransform transform,
                         SqlNode subNode)

  Specified by:
    `apply` in class `SqlNodeBase1`

### copy

    public SqlNode copy(SqlNode subNode)

  Specified by:
    `copy` in class `SqlNodeBase1`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.